# Generated by Django 4.2 on 2023-09-27 12:51

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Account',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('status', models.CharField(choices=[('deleted', 'Deleted'), ('active', 'Active')], default='active', max_length=10)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Form',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True)),
                ('class_name', models.CharField(blank=True, max_length=255)),
                ('success_msg', models.TextField(blank=True)),
                ('status', models.CharField(choices=[('deleted', 'Deleted'), ('active', 'Active'), ('in_active', 'InActive'), ('draft', 'Draft')], default='draft', max_length=10)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
                ('account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='account', to='zippy_form.account')),
                ('created_by', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='FormField',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('label', models.CharField(default='Untitled', max_length=255)),
                ('field_type', models.CharField(choices=[('text_box', 'Text Box'), ('website_url', 'Website URL'), ('text_area', 'TextArea'), ('number', 'Number'), ('email', 'Email'), ('dropdown', 'Dropdown'), ('radio', 'Radio'), ('checkbox', 'Checkbox'), ('date', 'Date'), ('time', 'Time'), ('file', 'File Upload'), ('short_text_area', 'Short TextArea'), ('multiselect_checkbox', 'MultiSelect Checkbox'), ('hidden', 'Hidden'), ('heading', 'Heading'), ('paragraph', 'Paragraph')], max_length=20)),
                ('field_size', models.CharField(choices=[('col-md-12', 'Large'), ('col-md-6', 'Medium'), ('col-md-4', 'Small')], default='col-md-12', max_length=20)),
                ('placeholder', models.CharField(blank=True, max_length=255)),
                ('field_order', models.PositiveIntegerField()),
                ('custom_class_name', models.CharField(blank=True, max_length=255)),
                ('validation_rule', models.JSONField(default=dict)),
                ('field_format', models.JSONField(default=dict)),
                ('is_mandatory', models.BooleanField(default=False)),
                ('is_unique', models.BooleanField(default=False)),
                ('show_on_table', models.BooleanField(default=True)),
                ('table_field_order', models.PositiveIntegerField(default=0)),
                ('status', models.CharField(choices=[('deleted', 'Deleted'), ('active', 'Active'), ('in_active', 'InActive'), ('draft', 'Draft')], default='draft', max_length=10)),
                ('is_field_settings_updated', models.BooleanField(default=False)),
                ('content', models.TextField(blank=True)),
                ('content_size', models.CharField(blank=True, max_length=255)),
                ('content_alignment', models.CharField(blank=True, max_length=255)),
                ('form', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='form_fields', to='zippy_form.form')),
            ],
        ),
        migrations.CreateModel(
            name='FormSubmission',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('status', models.CharField(choices=[('deleted', 'Deleted'), ('active', 'Active'), ('draft', 'Draft')], default='draft', max_length=10)),
                ('user_agent', models.CharField(blank=True, max_length=255)),
                ('request_ip', models.CharField(blank=True, max_length=255)),
                ('created_date', models.DateTimeField(auto_now_add=True)),
                ('modified_date', models.DateTimeField(auto_now=True)),
                ('form', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='zippy_form.form')),
                ('submitted_by', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='FormSubmissionData',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('form_field_type', models.CharField(blank=True, max_length=255)),
                ('text_field', models.TextField(blank=True)),
                ('checkbox_field', models.BooleanField(blank=True, null=True)),
                ('multiselect_checkbox_field', models.JSONField(default=None, null=True)),
                ('radio_field', models.CharField(blank=True, max_length=255)),
                ('dropdown_field', models.JSONField(default=None, null=True)),
                ('file_field', models.FileField(blank=True, upload_to='')),
                ('form_field', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='zippy_form.formfield')),
                ('form_submission', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='zippy_form.formsubmission')),
            ],
        ),
        migrations.CreateModel(
            name='FormStep',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('description', models.TextField(blank=True)),
                ('step_order', models.PositiveIntegerField()),
                ('status', models.CharField(choices=[('deleted', 'Deleted'), ('active', 'Active')], default='active', max_length=10)),
                ('form', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='form_steps', to='zippy_form.form')),
            ],
        ),
        migrations.CreateModel(
            name='FormFieldOption',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('label', models.CharField(max_length=255)),
                ('option_order', models.PositiveIntegerField(default=0)),
                ('status', models.CharField(choices=[('deleted', 'Deleted'), ('active', 'Active')], default='active', max_length=10)),
                ('form_field', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='form_field_options', to='zippy_form.formfield')),
            ],
        ),
        migrations.AddField(
            model_name='formfield',
            name='form_step',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='form_step_fields', to='zippy_form.formstep'),
        ),
    ]
